(setf (gethash "user_doc" cl-info::*info-user-doc-hashtable*) '(
" -- Usage: user_doc(name,doc,created)
            user_doc(name,doc)
            user_doc(name)

The args name and doc should be strings, created a boolean. In the
final form the user is prompted to input a documentation string. This
may stretch over several lines.

Each user-generated documentation event is appended to the file named
by the maxima variable 'maxima_userinfo_lisp' in the directory named
by 'maxima_userdir'.  This file may also be edited manually. Entries
in this file are never overwritten.

The user can load maxima_userinfo_lisp into a Maxima session by
calling 'load_userinfo_lisp();'.

Examples:

(%i1) user_doc(\"sin\",\"sin(x)=x-x^3/6+...\");
(%i2) user_doc(\"sin\");
Enter documentation string surrounded by quotes '\"'.
End input with ';'.
\" -- sin(x)
The sinus trigonometric function.
sin(x) = x - x^3/6 + ...\";

Create a documentation string using 'printf' when the maxima frontend
does not parse newlines correctly:
 
(%i3) doc_str : printf(false,\" -- sin(x)~%~% 
The sinus trigonometric function.~% sin(x)^2+cos(x)^2 = 1.\");
(%i4) user_doc(\"sin\",doc_str);

Source: src/cl-info.lisp

See also: ?, ??, maxima_userinfo_lisp, maxima_userdir,
load_userinfo_lisp, print_user_doc.

Created: 2009-06-10 15:22:35+01:00" nil nil "user-documentation"))
(setf (gethash "maxima_userinfo_lisp" cl-info::*info-user-doc-hashtable*) '(
"-- maxima_userinfo_lisp: variable defined in cl-info.lisp shadowed by
lisp variable *maxima-userinfo-lisp*.  Name of file where
user-generated documentation is stored. 

Default: maxima-userinfo.lisp
Source:  src/cl-info.lisp
See also: user_doc

Created: 2009-06-10 15:34:08+01:00" nil nil "user-documentation"))
(setf (gethash "load_userinfo_lisp" cl-info::*info-user-doc-hashtable*) '(
" -- Usage: load_userinfo_lisp()

Loads the user-generated documentation file named in
'maxima_userinfo_lisp' in 'maxima_tempdir'.

Source: src/cl-info.lisp
See also:  ?, ??, maxima_userinfo_lisp, maxima_userdir, user_doc.


Created: 2009-06-10 15:44:53+01:00" nil nil "user-documentation"))
(setf (gethash "?" cl-info::*info-user-doc-hashtable*) '(
"
See also: user_doc, a function that lets the user generate online
documentation.
" nil nil "user-documentation"))
(setf (gethash "??" cl-info::*info-user-doc-hashtable*) '(
"
See also: user_doc, a function that lets the user generate online
documentation.
" nil nil "user-documentation"))
(setf (gethash "print_user_doc" cl-info::*info-user-doc-hashtable*) '(
" -- Usage: print_user_doc(filename)
           print_user_doc()

Print the user documentation hash table to file <filename>; if
<filename> is omitted, the user documentation file named by the maxima
variable 'maxima_userinfo_lisp' in the directory named by
'maxima_userdir'.

This function overwrites the output file.

Examples:
Load 'maxima_userinfo_lisp', overwrite it to make a unique entry:
(%i1) load_userinfo_lisp(); print_user_doc();
(%i2) print_user_doc(\"/home/user/project.lisp\");

Source: src/cl-info.lisp

See also: ?, ??, maxima_userinfo_lisp, maxima_userdir,
load_userinfo_lisp, user_doc.

Created: 2009-07-15 14:06:36+01:00" nil nil "user-documentation"))